#' @name Bebida
#' @title Imposto em Bebidas
#' @description Dados sobre a produção física industrial (PFI), de
#'     alimentação e bebidas elaboradas, do Brasil. As observações são
#'     mensais e referem-se ao período de Janeiro de 1985 a Julho de
#'     2000. [DE QUE SE REFERE ESSA DESCRIÇÃO? CORRIGIR?]
#' @format Uma série temporal (classe \code{ts}), com 187 observações
#'     mensais de Janeiro de 1985 a Julho de 2000.
#' @keywords TS
#' @source Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
#'     Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
#'     A8 - Índices, mencionada em diversas páginas)
#' @examples
#'
#' data(Bebida)
#' str(Bebida)
#' Bebida
#'
#' # Médias anuais
#' aggregate(Bebida, FUN = mean)
#'
#' # Médias mensais
#' tapply(Bebida, cycle(Bebida), mean)
#'
#' # Visualização da série
#' library(lattice)
#' xyplot(Bebida, type = c("o", "g"), pch = 19, col = "rosybrown")
#'
#' # Gráfico da decomposição sazonal
#' library(latticeExtra)
#' xyplot(stl(Bebida, s.window = 12), col = "red3")
#'
NULL
