#' @name Consumo
#' @title Vendas Físicas na Região Metropolitana de São Paulo
#' @description Dados sobre a quantidade de vendas físicas na região
#'     metropolitana de São Paulo. A série tem observações mensais
#'     referentes ao período de Janeiro de 1984 a Outubro de 1996.
#' @format Uma série temporal (classe \code{ts}), com 154 observações
#'     mensais, de Janeiro de 1984 a Outubro de 1996.
#' @keywords TS
#' @source Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
#'     Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
#'     A11 - Consumo, mencionada em diversas páginas)
#' @examples
#'
#' data(Consumo)
#' str(Consumo)
#' Consumo
#'
#' # Médias anuais
#' aggregate(Consumo, FUN = mean)
#'
#' # Médias mensais
#' tapply(Consumo, cycle(Consumo), mean)
#'
#' # Visualização da série
#' library(lattice)
#' xyplot(Consumo, type = c("o", "g"), pch = 19, col = "springgreen")
#'
#' # Gráfico da decomposição sazonal
#' library(latticeExtra)
#' xyplot(stl(Consumo, s.window = 12), col = "yellow3")
#'
NULL
