#' @name MorettinA4
#' @title Concentração de Ozônio em Azuza, Califórnia
#' @description Dados sobre a concentração de Ozônio em Azuza, no estado
#'     da Califórnia, EUA. A série é referente à concentrações mensais
#'     no período de Janeiro de 1956 a Dezembro de 1970.
#' @format Uma série temporal (classe \code{ts}), com 180 observações
#'     mensais de Janeiro de 1956 a Dezembro de 1970.
#' @keywords TS
#' @source MORETTIN, TOLOI (2006), Série A4 - Ozônio, descrita no
#'     Capítulo 1 pág. 16 e mencionada em diversas páginas.
#' @examples
#'
#' data(MorettinA4)
#' str(MorettinA4)
#' MorettinA4
#'
#' # Médias anuais
#' aggregate(MorettinA4, FUN = mean)
#'
#' # Médias mensais
#' tapply(MorettinA4, cycle(MorettinA4), mean)
#'
#' # Visualização da série
#' library(lattice)
#' xyplot(MorettinA4, type = c("o", "g"), pch = 19, col = "tomato")
#'
#' # Gráfico da decomposição sazonal
#' library(latticeExtra)
#' xyplot(stl(MorettinA4, s.window = 12))
#'
NULL
