#' @name MorettinTb4.13
#' @title Vendas de Refrigerante [ONDE?]
#' @description Dados sobre as quantidades de vendas de refrigerantes
#'     [ONDE? BRASIL? SP?]. A série é referente aos meses de Janeiro de
#'     1970 a Dezembro de 1973.
#' @format Uma série temporal (classe \code{ts}), com 48 observações
#'     mensais de Janeiro de 1970 a Dezembro de 1973.
#' @keywords TS
#' @source MORETTIN, TOLOI (2006), Tabela 4.13, pág. 102.
#' @examples
#'
#' data(MorettinTb4.13)
#' str(MorettinTb4.13)
#' MorettinTb4.13
#'
#' # Médias anuais
#' aggregate(MorettinTb4.13, FUN = mean)
#'
#' # Médias mensais
#' tapply(MorettinTb4.13, cycle(MorettinTb4.13), mean)
#'
#' library(lattice)
#' xyplot(MorettinTb4.13, type = c("o", "g"), pch = 19,
#'        scales = list(rot = 0), col = "tomato")
#'
#' # Gráfico da decomposição sazonal
#' library(latticeExtra)
#' xyplot(stl(MorettinTb4.10, s.window = 12), col = "turquoise")
#'
NULL
