#' @name SP
#' @title Índice Standard & Poor's 500
#' @description Dados sobre o Índice Standard & Poor's 500 - S&P 500.
#'     Índice do mercado acionário norte-americano baseado em 500 ativos
#'     de empresas com ações listadas nas bolsas de NYSE ou
#'     NASDAQ. Série de valores mensais no período de Julho de 1994 a
#'     Agosto de 2001 [VERIFICAR PERIODO, O OBJETO R DIZ UMA COISA E A
#'     DESCRICAO OUTRA].
#' @format Uma série temporal (classe \code{ts}), com 87 observações
#'     mensais, de Julho de 1994 a Agosto de 2001 [VERIFICAR PERIODO, O
#'     OBJETO R DIZ UMA COISA E A DESCRICAO OUTRA].
#' @keywords TS
#' @source Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
#'     Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
#'     A9 - Mercado Financeiro, mencionada em diversas páginas)
#' @examples
#'
#' data(SP)
#' str(SP)
#' SP
#'
#' # Médias anuais
#' aggregate(SP, FUN = mean)
#'
#' # Visualização da série
#' library(lattice)
#' xyplot(SP, type = c("o", "g"), pch = 19, col = "lemonchiffon3")
#'
#' # Gráfico da decomposição sazonal
#' library(latticeExtra)
#' xyplot(stl(SP, s.window = 12), col = "cyan")
NULL
