% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Banespa.R
\name{Banespa}
\alias{Banespa}
\title{Ações Preferenciais do Banco do Estado de São Paulo - Banespa}
\format{Uma série temporal irregularmente espaçada (classe
    \code{\link[zoo]{zoo}}), com 1498 observações dos dias utéis de 3
    de Janeiro de 1995 a 27 de Dezembro de 2000.}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A9 - Mercado Financeiro, mencionada em diversas páginas)
}
\description{
Dados sobre os valores dos preços diários das ações
    preferenciais do banco do Estado de São Paulo - Banespa PN. Os
    dados são referentes ao período do dia 3 de Janeiro de 1995 até
    27 de Dezembro de 2000, contabilizando somente os dias utéis.
}
\examples{

data(Banespa)

library(zoo)
str(Banespa)
Banespa

# Médias anuais e mensais
aggregate(Banespa, by = format(time(Banespa), "\%Y"), FUN = mean)
aggregate(Banespa, by = format(time(Banespa), "\%B"), FUN = mean)

# Série temporal regularmente espaçada de médias mensais
aggregate(Banespa, by = as.yearmon, FUN = mean)

# Visualização da série
library(lattice)
xyplot(Banespa, type = c("o", "g"), pch = 19, col = "seashell3")

# Visualizando os dados diários sobre o mercado financeiro presentes
# em MORETTIN (2006)
# sapply(c("Cemig", "Globo", "IBV", "Petro", "TAM"), help)
series <- merge(Banespa, Cemig, Globo, IBV, Petro, TAM)
xyplot(series, grid = TRUE, col = "black")

}
\seealso{
\code{\link{Cemig}}, \code{\link{Globo}}, \code{\link{IBV}},
    \code{\link{Petro}} e \code{\link{TAM}}.
}
\keyword{TS}
\keyword{TSI}

