% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Cemig.R
\name{Cemig}
\alias{Cemig}
\title{Ações da Companhia Energética de Minas Gerais - CEMIG}
\format{Uma série temporal irregularmente espaçada (classe
    \code{\link[zoo]{zoo}}), com 1498 observações diárias, de 3 de
    janeiro de 1995 a 27 de dezembro de 2000.}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A9 - Mercado Financeiro, mencionada em diversas páginas)
}
\description{
Dados sobre os preços diários das ações da Companhia
    Energética de Minas Gerais - CEMIG de 3 de Janeiro de 1995 a 27
    de Dezembro de 2000, contabilizados somente nos dias utéis.
}
\examples{

data(Cemig)

library(zoo)
str(Cemig)
Cemig

# Médias anuais e em cada mês
aggregate(Cemig, by = format(time(Cemig), "\%Y"), FUN = mean)
aggregate(Cemig, by = format(time(Cemig), "\%B"), FUN = mean)

# Série regularmente espaçada com médias mensais
aggregate(Cemig, by = as.yearmon, FUN = mean)

# Visualização da série
library(lattice)
xyplot(Cemig, type = c("o", "g"), pch = 19, col = "brown")

# Visualizando os dados diários sobre o mercado financeiro presentes
# em MORETTIN (2006)
# sapply(c("Banespa", "Globo", "IBV", "Petro", "TAM"), help)
series <- merge(Cemig, Banespa, Globo, IBV, Petro, TAM)
xyplot(series, grid = TRUE, col = "black")

}
\seealso{
\code{\link{Banespa}}, \code{\link{Globo}},
    \code{\link{IBV}}, \code{\link{Petro}} e \code{\link{TAM}}.
}
\keyword{TS}
\keyword{TSI}

