% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/IBVSP.R
\name{IBVSP}
\alias{IBVSP}
\title{Índice da Bolsa de Valores de São Paulo (1994-2001)}
\format{Uma série temporal (classe \code{ts}), com 87 observações
    mensais de Junho de 1994 a Agosto de 2001.}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A9 - Mercado Financeiro, mencionada em diversas páginas)
}
\description{
Dados mensais sobre o índice da bolsa de valores (IBV)
    de São Paulo de Junho de 1994 a Agosto de 2001.
}
\examples{

data(IBVSP)
str(IBVSP)
IBVSP

# Médias anuais
aggregate(IBVSP, FUN = mean)

# Médias mensais
tapply(IBVSP, cycle(IBVSP), mean)

# Visualização da série
library(lattice)
xyplot(IBVSP, type = c("o", "g"), pch = 19, col = "royalblue")

# Gráfico da decomposição sazonal
library(latticeExtra)
xyplot(stl(IBVSP, s.window = 12), col = "khaki3")

}
\keyword{TS}

