% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ICV.R
\name{ICV}
\alias{ICV}
\title{Índice de Custo de Vida em São Paulo}
\format{Uma série temporal (classe \code{ts}), com 126 observações
    mensais de Janeiro de 1970 a Outubro de 1980.}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A10 - M-ICV, mencionada em diversas páginas)
}
\description{
Dados sobre o índice de custo de vida (ICV), na cidade
    de São Paulo. A série é referente a observações mensais no
    período de Janeiro de 1970 a Outubro de 1980.
}
\examples{

data(ICV)
str(ICV)
ICV

# Médias anuais
aggregate(ICV, FUN = mean)

# Médias mensais
tapply(ICV, cycle(ICV), mean)

# Visualização da série
library(lattice)
xyplot(ICV, type = c("o", "g"), pch = 19, col = "peachpuff")

# Gráfico da decomposição sazonal
library(latticeExtra)
xyplot(stl(ICV, s.window = 12), col = "peru")

}
\keyword{TS}

