% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Lavras.R
\name{Lavras}
\alias{Lavras}
\title{Precipitação Atmosférica em Lavras, Minas Gerais}
\format{Uma série temporal (classe \code{ts}), com 384 observações
    mensais de Janeiro de 1966 a Dezembro de 1997.}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A3 - Chuva, mencionada em diversas páginas)
}
\description{
Dados sobre precipitação atmosférica, em Lavras, no
    estado de Minas Gerais. A série é referente ao período de Janeiro
    de 1966 a Dezembro de 1997.
}
\examples{

data(Lavras)
str(Lavras)
Lavras

# Médias anuais
aggregate(Lavras, FUN = mean)

# Médias Mensais
tapply(Lavras, cycle(Lavras), mean)

# Visualização da série
library(lattice)
xyplot(Lavras, type = c("o", "g"), pch = 19, col = "orange")

# Gráfico da decomposição sazonal
library(latticeExtra)
xyplot(stl(Lavras, s.window = 12), col = "green")

}
\keyword{TS}

