% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Poluentes.R
\name{Poluentes}
\alias{Poluentes}
\title{Emissão Diária de Poluentes na Cidade de São Paulo em 1997}
\format{Uma série temporal multivariada (classe \code{mts}), com 365
    observações diárias de 1º de Janeiro a 31 de Dezembro de 1997,
    dos seguintes poluentes:

\describe{

\item{\code{PM10}}{Partículas inaláveis de diâmetro inferior a 10
    micrometros (\eqn{PM_{10}}), valores mensurados em VER A ESCALA
    DE MENSURAÇÂO.}

\item{\code{SO2}}{Dióxido de enxofre (\eqn{SO_2}), valores mensurados
    em VER A ESCALA DE MENSURAÇÂO.}

\item{\code{CO}}{Monóxido de carbono (\eqn{CO}), valores mensurados
    em VER A ESCALA DE MENSURAÇÂO.}

\item{\code{O3}}{ozônio troposférico (\eqn{O_3}), valores mensurados
    em VER A ESCALA DE MENSURAÇÂO.}

\item{\code{NO2}}{Dióxido de nitrogênio (\eqn{NO2}), valores mensurados
    em VER A ESCALA DE MENSURAÇÂO.}

}}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A6- Poluição, mencionada em diversas páginas)
}
\description{
Dados sobre sobre a emissão diária de poluentes na
    cidade de São Paulo no ano de 1997. Foram acompanhadas cinco
    poluentes atmosféricos: partículas inaláveis de diâmetro inferior
    a 10 micrometros (\eqn{PM_{10}}), dióxido de enxofre
    (\eqn{SO_2}), monóxido de carbono (\eqn{CO}), ozônio troposférico
    (\eqn{O_3}) e dióxido de nitrogênio (NO_2).
}
\examples{

data(Poluentes)
str(Poluentes)
Poluentes

# Estatísticas pontuais das séries
apply(Poluentes, 2, summary)

# Visualização da série
library(lattice)
xyplot(Poluentes, type = c("o", "g"), pch = 20, col = "brown")

}
\keyword{MTS}
\keyword{TS}

