% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TAM.R
\name{TAM}
\alias{TAM}
\title{Ações da TAM Linhas Aéreas SA}
\format{Uma série temporal irregularmente espaçada (classe
    \code{\link[zoo]{zoo}}), com 1493 observações dos dias utéis de
    10 de Janeiro de 1995 a 27 de Dezembro de 2000.}
\source{
Morettin, P. A., Toloi, C. M. C. (2006). Análise de Séries
    Temporais (2nd ed.). São Paulo, SP: Editora Egard Blucher. (Série
    A9 - Mercado Financeiro, mencionada em diversas páginas)
}
\description{
Dados sobre os valores diários das ações da TAM Linhas
    Aéreas SA, contabilizados nos dias utéis entre dia 10 de Janeiro
    de 1995 e 27 de Dezembro de 2000.
}
\examples{

data(TAM)

library(zoo)
str(TAM)
TAM

# Médias anuais e mensais
aggregate(TAM, by = format(time(TAM), "\%Y"), FUN = mean)
aggregate(TAM, by = format(time(TAM), "\%B"), FUN = mean)

# Visualização da série
library(lattice)
xyplot(TAM, type = c("o", "g"), pch = 19, col = "red3")

# Visualizando os dados diários sobre o mercado financeiro presentes
# em MORETTIN (2006)
# sapply(c( "Banespa", "Cemig", "Globo", "IBV", "Petro"), help)
series <- merge(TAM, Banespa, Cemig, Globo, IBV, Petro)
xyplot(series, grid = TRUE, col = "black")

}
\seealso{
\code{\link{Banespa}}, \code{\link{Cemig}},
    \code{\link{Globo}}, \code{\link{IBV}} e \code{\link{Petro}}.
}
\keyword{TS}
\keyword{TSI}

